<template>
  <v-card
    max-width="344"
    class="mx-auto"
  >
    <v-list-item>
      <v-list-item-avatar color="grey">
        <v-img
          :src="getImage()"
        ></v-img>
      </v-list-item-avatar>
      <v-list-item-content>
        <v-list-item-title class="headline">{{ name }}</v-list-item-title>
        <v-list-item-subtitle>{{ role }}</v-list-item-subtitle>
      </v-list-item-content>
    </v-list-item>

    <v-card-text>
      {{ description }}
    </v-card-text>

    <v-card-actions>
      <v-spacer></v-spacer>
      <v-btn 
        text
        link
        v-if="email !== null"
        :href="`mailto:${email}`"
      >
        <v-icon>mdi-email</v-icon>
        E-Mail
      </v-btn>
      <v-btn
        text
        link
        v-if="homepage !== null"
        :href="homepage"
      >
        <v-icon>mdi-earth</v-icon>
        Website
      </v-btn>
    </v-card-actions>
  </v-card>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator';


@Component
export default class Member extends Vue {
  @Prop() private readonly imageName: string | undefined;
  @Prop() private readonly name!: string;
  @Prop() private readonly role!: string;
  @Prop() private readonly description!: string;
  @Prop() private readonly homepage: string | undefined;
  @Prop() private readonly email: string | undefined;

  public getImage(): string {
    if (this.imageName === null) {
      return 'https://cdn.vuetifyjs.com/images/cards/docks.jpg';
    }
    return require('@/assets/' + this.imageName + '.jpg');
  }
}
</script>
